GtkDatabox: gtk/gtkdatabox_regions.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_regions.h File Reference
`#include <gtkdatabox_xyyc_graph.h>`
Include dependency graph for gtkdatabox_regions.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxRegions
struct | _GtkDataboxRegionsClass
## Defines
#define | GTK_DATABOX_TYPE_REGIONS (gtk_databox_regions_get_type ())
#define | GTK_DATABOX_REGIONS(obj)
#define | GTK_DATABOX_REGIONS_CLASS(klass)
#define | GTK_DATABOX_IS_REGIONS(obj)
#define | GTK_DATABOX_IS_REGIONS_CLASS(klass)
#define | GTK_DATABOX_REGIONS_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxRegions | GtkDataboxRegions
typedef struct _GtkDataboxRegionsClass | GtkDataboxRegionsClass
typedef struct _GtkDataboxRegionsPrivate | GtkDataboxRegionsPrivate
## Functions
GType | gtk_databox_regions_get_type (void)
GtkDataboxGraph * | gtk_databox_regions_new (guint len, gfloat *X, gfloat *Y1, gfloat *Y2, GdkColor *color)

## Define Documentation

#define GTK_DATABOX_IS_REGIONS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_REGIONS))

#define GTK_DATABOX_IS_REGIONS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_REGIONS))

#define GTK_DATABOX_REGIONS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_REGIONS, \
                                               GtkDataboxRegions))

#define GTK_DATABOX_REGIONS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_REGIONS, \
                                               GtkDataboxRegionsClass))

#define GTK_DATABOX_REGIONS_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_REGIONS, \
                                               GtkDataboxRegionsClass))

#define GTK_DATABOX_TYPE_REGIONS (gtk_databox_regions_get_type ())

SECTION:gtkdatabox_regions : A GtkDataboxGraph used for displaying xxyy-values (x1, x2, y1 and y2 values) as oblongs from x1 to y1, x2 to y2. gtkdatabox_regions.h : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxMarkers, GtkDataboxRegions

GtkDataboxRegions is a GtkDataboxGraph class for displaying xxyy-values as oblongs.

## Typedef Documentation

typedef struct _GtkDataboxRegions GtkDataboxRegions

GtkDataboxRegions: : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxMarkers, GtkDataboxBars, GtkDataboxOffsetBars

GtkDataboxRegions is a GtkDataboxGraph class for displaying xxyy-values as oblongs.

typedef struct _GtkDataboxRegionsClass GtkDataboxRegionsClass

typedef struct _GtkDataboxRegionsPrivate GtkDataboxRegionsPrivate

GtkDataboxRegionsPrivate

A private data structure used by the GtkDataboxRegions. It shields all internal things from developers who are just using the object.

## Function Documentation

GType gtk_databox_regions_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_regions_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y1,
|  | gfloat * | Y2,
|  | GdkColor * | color
| ) |  |

gtk_databox_regions_new: : length of , and : array of ordinates : array of co-ordinates : array of co-ordinates : color of the markers

Creates a new GtkDataboxRegions object which can be added to a GtkDatabox widget

Return value: A new GtkDataboxRegions object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines